Download it now!
Bug 103964 - FILEOPEN: DOCX: misread shapes break the document layout (both 2007 and newer DOCX)
Summary: FILEOPEN: DOCX: misread shapes break the document layout (both 2007 and newer...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: low minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-11-16 23:11 UTC by Xisco Faulí
Modified: 2020-02-14 10:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.5 Master (153.88 KB, image/png)
2020-01-08 09:10 UTC, Xisco Faulí
Details
Sample resaved in MSO 2013 (106.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-01-08 10:59 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-16 23:11:34 UTC
Steps:
1. Open attachment 63331 [details]
2. Check the document layout

Observed behaviour: 'Warum friert der Pinguin nicht?' is splitted into two lines and thermometers are misplaced

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-16 23:13:26 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-09-24 15:53:38 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-09-24 16:02:42 (GMT)
commit	36ac7749523e0c6f40a77beac278bd9e7a667a9b (patch)
tree	ffb71be02ed4ce516d40510e1daa1f799d36943d
parent	2916dfdb2361e68a6bbbcb0b0e9e114e052cb6d5 (diff)

DOCX import: make sure rotation does not affect shape position

Adding Cc: to Miklos Vajna
Comment 2 Timur 2017-01-06 16:02:03 UTC
To repeat what I wrote in Bug 51321: 
When attachment 63331 [details] which is Word 2007 is saved in Word 2010 it loses some data, like penguin text. So, even MSO has problems with that file. 
Both 2007 and 2010 docx are imported in LO with wrong shape (thermometers).
Taking all this, I lower the priority.
Comment 3 QA Administrators 2018-01-07 03:31:47 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2020-01-08 03:31:14 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2020-01-08 09:10:14 UTC
Created attachment 156997 [details]
comparison MSO 2010 and LibreOffice 6.5 Master
Comment 6 Timur 2020-01-08 10:59:09 UTC
Created attachment 157000 [details]
Sample resaved in MSO 2013

" text splitted into 2 lines breaks the document layout " is just a consequence of misplaced graphics.
So I change the title to "DOCX: misread shape breaks the document layout (both 2007 and newer DOCX)" 
Sample is 2007 DOCX and I add sample saved in MSO 2013 which opens differently but also wrong.
Comment 7 Commit Notification 2020-01-28 08:09:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fedce7a261f28dc286943f7bdd2adb010ed9b31

tdf#103964 DOCX import: ignore rotation when setting position of group shapes

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Timur 2020-02-06 12:44:05 UTC
Looks better now, layout is fine, title is correct.

"Thermometer" is not OK an never was, it's different from 2007 and new DOCX, I think it's not worth a new bug.
Comment 9 Commit Notification 2020-02-14 10:09:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b941971ca39df9cf76ce558a0add0faa4e6c2faa

tdf#103964 DOCX import: ignore rotation when setting position of group shapes

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.